
From: "Randy.Dunlap" <rddunlap@osdl.org>

oss/cmpci: fix initdata section reference:

Error: ./sound/oss/cmpci.o .text refers to 000000000000418e R_X86_64_32S      .init.data+0x0000000000000004
Error: ./sound/oss/cmpci.o .text refers to 0000000000004196 R_X86_64_32S      .init.data

Signed-off-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/sound/oss/cmpci.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN sound/oss/cmpci.c~oss-cmpci-fix-initdata-section-references sound/oss/cmpci.c
--- 25/sound/oss/cmpci.c~oss-cmpci-fix-initdata-section-references	2005-03-07 20:41:44.000000000 -0800
+++ 25-akpm/sound/oss/cmpci.c	2005-03-07 20:41:44.000000000 -0800
@@ -2925,7 +2925,7 @@ static /*const*/ struct file_operations 
 static struct initvol {
 	int mixch;
 	int vol;
-} initvol[] __initdata = {
+} initvol[] __devinitdata = {
 	{ SOUND_MIXER_WRITE_CD, 0x4f4f },
 	{ SOUND_MIXER_WRITE_LINE, 0x4f4f },
 	{ SOUND_MIXER_WRITE_MIC, 0x4f4f },
_
